/**
 * Dynamic data generator.
 * @module apemanseed
 */

'use strict'

const combine = require('./combine')
const create = require('./create')
const Apemanseed = require('./apemanseed')

let lib = create.bind(this)

Object.assign(lib, {
  create,
  combine,
  Apemanseed
})

module.exports = lib
