/**
 * Test case for combine.
 * Runs with mocha.
 */
'use strict'

const combine = require('../lib/combine.js')
const assert = require('assert')
const co = require('co')

describe('combine', function () {
  this.timeout(3000)

  before(() => co(function * () {

  }))

  after(() => co(function * () {

  }))

  it('Combine', () => co(function * () {
    let { en, ja } = combine([ 'en', 'ja' ])
    assert.ok(en)
    assert.ok(ja)
    {
      let [entity] = en({
        name: 'hoge'
      }, 10)
      assert.deepEqual(entity, { name: 'hoge' })
    }
  }))
})

/* global describe, before, after, it */
